/* The Modal (background) */
.ht-modal {
  display: none;
  position: fixed;
  z-index: 300;
  padding-top: 100px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  &__background {
    visibility: hidden;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0, 0.2);
    opacity: 0;
    transition: opacity 1s ease-in-out;
    &-open {
      transition: opacity 1s ease-in-out;
      visibility: visible;
      opacity: 1;
    }
  }
  &__open {
    display: block;
  }
  &__content {
    position: relative;
    background-color: #fefefe;
    margin: auto;
    padding: 0;
    width: 70%;
    max-height: 80%;
    overflow: auto;
    box-shadow: 0 8px 16px 0 rgba($main-color, 0.4);
    border-radius: 5px;
    -webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatetop;
    animation-duration: 0.4s;
    &-closing {
      -webkit-animation-name: animatetopreverse;
      -webkit-animation-duration: 0.4s;
      animation-name: animatetopreverse;
      animation-duration: 0.4s;
    }
  }
  &__header {
    padding: 6px 16px;
  }
  &__footer {
    padding: 2px 16px;
  }
  &__body {
    padding: 2px 16px;
  }
  &__close {
    color: $main-color;
    float: right;
    font-size: 28px;
    font-weight: bold;
    position: relative;
    top: -7px;
    right: -10px;
    &:hover,
    &:focus {
      color: #000;
      text-decoration: none;
      cursor: pointer;
    }
  }
}

@-webkit-keyframes animatetop {
  from {top:-300px; opacity:0}
  to {top:0; opacity:1}
}

@keyframes animatetop {
  from {top:-300px; opacity:0}
  to {top:0; opacity:1}
}


@-webkit-keyframes animatetopreverse {
  from {top:0; opacity:1}
  to {top:-300px; opacity:0}
}

@keyframes animatetopreverse {
  from {top:0; opacity:1}
  to {top:-300px; opacity:0}
}


@media only screen and (max-width: 800px) {
  .ht-modal {
    &__content {
      width: 95%
    }
  }
}

